#
# spec file for package octave-forge-miscellaneous
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  miscellaneous
Name:           octave-forge-%{octpkg}
Version:        1.3.0
Release:        bp154.1.35
Summary:        Miscellaneous functions for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  octave-devel
BuildRequires:  units
Requires:       octave-cli >= 3.6.0
Requires:       octave-forge-general >= 1.3.1
Requires:       units

%description
Miscellaneous functions for Octave.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.3.0:
  * New functions:
    idxmatrix: creates a matrix with each element corresponding to
    its subindex in the matrix.
    hc2ind: Hilbert curve to linear indices
  * The function publish has been removed from the miscellaneous
    package because it is now released with Octave core since
    version 4.2.  Note that it's API is slightly different.
  * The package is no longer dependent on the general package.
  * pkg update for octave 5.1+ functionality
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.2.1
